Browse Source

add a pal_loader script to Lib/shim/test/app

Chia-Che Tsai 9 years ago
parent
commit
1107c004fd
1 changed files with 39 additions and 0 deletions
  1. 39 0
      LibOS/shim/test/apps/pal_loader

+ 39 - 0
LibOS/shim/test/apps/pal_loader

@@ -0,0 +1,39 @@
+#!/bin/bash
+
+PAL_DIR=$(readlink -f $(dirname ${BASH_SOURCE[0]})/../../../../Pal/src)
+PAL=$PAL_DIR/pal
+PAL_SEC=$PAL_DIR/pal_sec
+
+MANIFEST=
+GDB=
+PAL_CMD=$PAL
+
+while [ "$1" != "" ];
+do
+	if [ "$1" = "-gdb" ]; then
+		GDB="gdb --args"
+		shift
+		continue
+	fi
+
+	if [ "$1" = "-sec" ]; then
+		PAL_CMD=$PAL_SEC
+		shift
+		continue
+	fi
+
+	if [ "$MANIFEST" == "" ]; then
+		MANIFEST=$1
+		shift
+		continue
+	fi
+
+	break
+done
+
+if [ ! -f "$PAL_CMD" ]; then
+	echo "$PAL_CMD is not built, or security mode is not supported"
+	exit 1
+fi
+
+exec $GDB $PAL $MANIFEST $*